Subject: libapr1-dev: please don't ship your own copy of libtool

From: Stefan Fritsch <[email-masked]>
Date: Wed, 06 Nov 2013 18:56:36 +0100

The libtool shipped with the apr package has no tagged configurations 
and works without --tag parameter. The libtool from the libtool 
package requires --tag, though. Specifying the correct --tag 
everywhere would be a larger enterprise. It would have to include all 
methods to build apache modules written in both C and C++, and all 
other users of apr-config/apu-config. And (at least in principle) apr 
supports different libtools that don't support --tag, though I don't 
know if that support is still used.

In any case, I don't think it makes sense to change this in Debian.

---

From: Stefan Fritsch <[email-masked]>
Date: Wed, 06 Nov 2013 19:02:34 +0100

Related bug reports:

 https://issues.apache.org/bugzilla/show_bug.cgi?id=47691
 http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15823